Skip to main content
GET
/
shopping
/
{portfolio}
/
v1
/
shopping-cart
/
unitGroup
/
{unitGroupUuid}
/
lead
/
{leadUuid}
Retrieve shopping cart for a lead
curl --request GET \
  --url https://public-api.prd.monument.io/shopping/{portfolio}/v1/shopping-cart/unitGroup/{unitGroupUuid}/lead/{leadUuid} \
  --header 'x-api-key: <x-api-key>'
{
  "items": [
    {
      "leadUuid": "<string>",
      "itemType": {
        "itemTypeUuid": "<string>",
        "itemTypeName": "<string>",
        "description": "<string>",
        "isTaxable": true,
        "category": "SERVICES",
        "isRecurring": true,
        "isRequiredAtMoveIn": true,
        "isRequiredAtTransfer": true,
        "isReadOnly": true,
        "isActive": true,
        "numberOfFacilities": 123,
        "amount": "<string>",
        "isProratedAtMoveIn": true,
        "amountInPennies": 123,
        "taxAmountInPennies": 123,
        "entityAttributeOrganizationUuid": "<string>",
        "entityAttributeOrganizationDescription": "<string>",
        "feeType": "PERCENTAGE",
        "fixedFeeAmount": 123,
        "feePercentage": 123,
        "fullNonProratedAmount": 123,
        "invoiceGenerationType": "ANNIVERSARY",
        "glAccountTypeUuid": "<string>",
        "promotion": {
          "promotionUuid": "<string>",
          "promotionName": "<string>",
          "discountType": "<string>",
          "discountAmountInPennies": 123,
          "internalNote": "<string>"
        },
        "feeConditions": [
          {
            "itemTypeFeeConditionUuid": "<string>",
            "sortOrder": 123,
            "amountType": "FIXED",
            "rentRangeFrom": 123,
            "rentRangeTo": 123,
            "rateThreshold": 123
          }
        ]
      },
      "shoppingCartItemUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dateDesiredMoveIn": "2023-11-07T05:31:56Z",
      "amountInPennies": 123,
      "preProrationAmountInPennies": 123,
      "billingPeriod": 123
    }
  ],
  "dateDesiredMoveIn": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://api.monument.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

leadUuid
string
required
unitGroupUuid
string<uuid>
required

Query Parameters

verifyToken
string
required

Response

The shopping cart for the provided lead, with all related amounts

items
object[]
required
dateDesiredMoveIn
string<date-time> | null